From 7b2492de4fbf30ab971e0e1637accee5f7f6e67b Mon Sep 17 00:00:00 2001
From: Bertrand Drouvot <bertranddrouvot.pg@gmail.com>
Date: Tue, 18 Feb 2025 07:14:05 +0000
Subject: [PATCH v2 1/2] Add details in the pg_stat_io doc about the wal object

Adding details about writes, fsyncs, write_time and sync_time when linked
to the wal object.
---
 doc/src/sgml/monitoring.sgml | 9 +++++++++
 1 file changed, 9 insertions(+)
 100.0% doc/src/sgml/

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 928a6eb64b0..151d69cd0b3 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -2959,6 +2959,15 @@ description | Waiting for a newly initialized WAL file to reach durable storage
       linkend="wal-configuration"/>.
      </para>
     </listitem>
+    <listitem>
+     <para>
+      For the WAL <structfield>object</structfield>, <varname>fsyncs</varname>
+      and <varname>sync_time</varname> track the sync activity of WAL files via
+      issue_xlog_fsync(). <varname>writes</varname> and <varname>write_time</varname>
+      track the write activity of WAL files via XLogWrite().
+      See <xref linkend="wal-configuration"/> for more information.
+     </para>
+    </listitem>
    </itemizedlist>
   </para>
 
-- 
2.34.1

